package window.graficos;

public class Pos {
	private int x, y;
	public Pos() { x = y = 0; };
	public Pos(int x, int y) { this.x = x; this.y = y; }
	public Pos(double x, double y) { this.x = (int) Math.round(x); this.y = (int) Math.round(y); }
	public int getX() { return x; }
	public int getY() { return y; }
	public Pos getCopy() { return new Pos(x,y); }
	public void setX(int x) { this.x = x; }
	public void setX(double x) { this.x = (int) Math.round(x); }
	public void setY(int y) { this.y = y; }
	public void setY(double y) { this.y = (int) Math.round(y); }
	public void addToX(int incr) { x += incr; }
	public void addToY(int incr) { y += incr; }
	public void addPos(Pos p) { addToX(p.getX()); addToY(p.getY()); }
}

