//Clase que sirve como estructura de datos de un barco
package hundirlaflota;

import java.util.HashMap;


public class Barco {
    
    int n;//numero de posiciones del barco
    int [] pos;//posiciones del barco
    HashMap estado;//hasmap en el que guardo para cada posicion si esta tocado (true) o no (false)
    
    //constructor
    public Barco(int n){
        this.n=n;
        pos=new int[n];
    }
    //doy valor a las posiciones del barco e inicializo el hashmap
    public void setPos(int [] pos){
        this.pos=pos;
        estado=new HashMap();
        for (int i=0;i<pos.length;i++){
            estado.put(pos[i], false);
        }
    }
    //metodo que me dice si un barco está hundido (todos las posiciones del barco a true)
    public boolean estaHundido(){
        int cont=0;
        boolean b=false;
        for (int i=0;i<pos.length;i++){
            if ((boolean)estado.get(pos[i])){
                cont++;
            }
        }
        if (cont==n){
            b=true;
        }
        return b;
    }
    //comprueba si la coordenada pasada como parametro coincide con alguna de barco
    public boolean tocado(int id){
        boolean res=false;
        for (int i=0;i<n;i++){
            if (id==pos[i]){
                res=true;
                estado.put(id,true);
            }
        }
        return res;
    }
    
    
    
}
