package window;

import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

import conecta4.Constantes;


@SuppressWarnings("serial")
public class PanelDibujo extends JPanel {
	private BufferedImage image;
	
	public PanelDibujo() {
		super();
		setFocusable(true);
		setLayout(null);					
		setSize(new Dimension(Constantes.WIDTH, Constantes.HEIGHT));
		setLocation(0,Constantes.HEIGHT_CONTROLS);
		setBackground(Color.black);
		image = new BufferedImage(800, 600, BufferedImage.TYPE_INT_ARGB);
	}
	
	public BufferedImage getImage() {
		return image;
	}
	
	public void paint(Graphics g) {
		g.drawImage(image, 0, 0, null);
	}
}


