/*Clase encargada de almacenar los barcos creados por el usuario y de dar soporte a datos variables durante la partida*/
package hundirlaflota;

import java.util.HashMap;
import java.util.Vector;

public class EstadoBarcos {
    //hashmap para guardarme cada barco con su nombre
    HashMap flota;
    //para saber si ya ha colocado la flota
    boolean miflotalista=false;
    //para saber si mi rival ya ha colocado la flota
    boolean rivalflotalista=false;
    //para saber el turno
    boolean turno=false;
    //para saber cuales llevo destruidos
    Vector<Barco> dest; 
    //guardo las posiciones prohibidas de los perimetros de los barcos
    Vector<String> prohibidos;
    
    public EstadoBarcos(){
        flota=new HashMap();
        dest=new Vector<Barco>();
        prohibidos=new Vector<String>();
    }
    //añade un barco al hashmap
    public void addBarco(Barco bar,String nombrebarco){
        flota.put(nombrebarco, bar);
    }
    //introduce en un vector las posiciones prohibidas de los perimetros de los barcos ya colocados
    //¡¡¡EXPLICAR BIEN!!!
    public void cercarPerimetro(Barco bar, boolean posicion){
        if (posicion){//vertical
            int poscheck;
            int x;
            int izq=bar.pos[0]-10;
            prohibidos.add(izq+"");
            poscheck=izq;
            x=izq-1;
            if (!(poscheck % 10 == 1)){
                prohibidos.add(x+"");
            }
            x=izq+1;
            if (!(poscheck % 10 == 0)){
                prohibidos.add(x+"");
            }
            int der=bar.pos[bar.n-1]+10;
            prohibidos.add(der+"");
            poscheck=der;
            x=der-1;
            if (!(poscheck % 10 == 1)){
                prohibidos.add(x+"");
            }
            x=der+1;
            if (!(poscheck % 10 == 0)){
                prohibidos.add(x+"");
            }
            for (int i=0;i<bar.n;i++){
                poscheck=bar.pos[i];
                if (!(poscheck % 10 == 1)){
                    x=bar.pos[i]-1;
                    prohibidos.add(x+"");
                }
                if (!(poscheck % 10 == 0)){
                    x=bar.pos[i]+1;
                    prohibidos.add(x+"");
                }
            }
        }
        else{//horizontal
            int x;
            //compruebo que no coja la primera columna para que no prohiba la siguiente fila
            int poscheck=bar.pos[0];
            if (!(poscheck % 10 == 1)){
                int izq=bar.pos[0]-1;
                prohibidos.add(izq+"");
                x=izq-10;
                prohibidos.add(x+"");
                x=izq+10;
                prohibidos.add(x+"");
            }
            //compruebo que no coja la ultima columna para que no prohiba la siguiente fila
            poscheck=bar.pos[bar.n-1];
            if (!(poscheck % 10 == 0)){
                int der=bar.pos[bar.n-1]+1;
                prohibidos.add(der+"");
                x=der-10;
                prohibidos.add(x+"");
                x=der+10;
                prohibidos.add(x+"");
            }
            
            for (int i=0;i<bar.n;i++){
                x=bar.pos[i]-10;
                prohibidos.add(x+"");
                x=bar.pos[i]+10;
                prohibidos.add(x+"");
            }
        }
    }
    //metodo que me dice si alguno de los barcos de mi flota ha sido destruido o no o si ya he perdido la partida (TODOS LOS BARCOS DESTRUIDOS)
    public String ocurreSuceso(){
        String suceso="nada";
        Barco bar1=(Barco)flota.get("Portaviones (5)");
        Barco bar2=(Barco)flota.get("Acorazado (4)");
        Barco bar3=(Barco)flota.get("Destructor 1 (3)");
        Barco bar4=(Barco)flota.get("Destructor 2 (3)");
        Barco bar5=(Barco)flota.get("Fragata (2)");
        //compruebo a ver si esta perdida la partida
        if ((bar1.estaHundido()) && (bar2.estaHundido()) && (bar3.estaHundido()) && (bar4.estaHundido()) && (bar5.estaHundido())){
            suceso="perdido";
        }
        else{//si no, compruebo uno a uno a ver si se ha undido algun barco
            if((bar1.estaHundido()) && (! dest.contains(bar1))){
                suceso="PORTAVIONES";
                dest.add(bar1);
            }
            else if((bar2.estaHundido()) && (! dest.contains(bar2))){
                suceso="ACORAZADO";
                dest.add(bar2);
            }
            else if((bar3.estaHundido()) && (! dest.contains(bar3))){
                suceso="DESTRUCTOR 1";
                dest.add(bar3);
            }
            else if((bar4.estaHundido()) && (! dest.contains(bar4))){
                suceso="DESTRUCTOR 2";
                dest.add(bar4);
            }
            else if((bar5.estaHundido()) && (! dest.contains(bar5))){
                suceso="FRAGATA";
                dest.add(bar5);
            }
        }
        return suceso;
    }
}
