/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package hundirlaflota;

import java.util.Vector;
import junit.framework.*;


public class TestEstadoBarcos extends TestCase{
    
    public void testAddBarco(){
        //creo dos barcos
        Barco b=new Barco(5);
        int[] t=new int[5];
        t[0]=45;t[1]=46;t[2]=47;t[3]=48;t[4]=49;
        b.setPos(t);
        Barco b2=new Barco(3);
        int[] t2=new int[5];
        t2[0]=1;t2[1]=2;t2[2]=3;
        b2.setPos(t2);
        //creo un EstadoBarcos y compruebo que el numero de barcos que hay es 0
        EstadoBarcos eb=new EstadoBarcos();
        assertEquals(eb.flota.size(),0);
        //añado los dos barcos
        eb.addBarco(b, "Barco1");
        eb.addBarco(b2, "Barco2");
        //compruebo que ahora el numero de barcos dentro de estadobarcos es igual a 2
        assertEquals(eb.flota.size(),2);
        //compruebo que efectivamente tengo acceso a esos dos barcos desde EstadoBarcos
        assertSame((Barco)eb.flota.get("Barco1"),b);
        assertSame((Barco)eb.flota.get("Barco2"),b2);
    }
    public void testCercaPerimetro(){
        Barco b=new Barco(3);
        int[] t=new int[3];
        t[0]=15;t[1]=16;t[2]=17;
        b.setPos(t);
        EstadoBarcos eb=new EstadoBarcos();
        eb.addBarco(b, "Barco");
        eb.cercarPerimetro(b, false);//false significa que el barco esta en horizontal
        //compruebo que hay hay 12 posiciones en las que no esta permitido poner otro barco
        assertEquals(eb.prohibidos.size(),12);
        // compruebo que esas posiciones son las correctas (5,6,7,25,26,27,4,8,14,18,24,28)
        Vector aux=new Vector();
        aux.add("5");aux.add("6");aux.add("7");aux.add("25");aux.add("26");aux.add("27");aux.add("4");aux.add("8");aux.add("14");aux.add("18");aux.add("24");aux.add("28");
        for (int i=0;i<aux.size();i++){
            assertTrue(eb.prohibidos.contains((String)aux.elementAt(i)));
        }
        
        
        
    }
    
    /*Para el metodo ocurreSuceso no lo he testeado ya que usa metodos de clases que SI han sido testeados*/
    public static Test suite(){ 
        return new TestSuite(TestEstadoBarcos.class);
    } // suite

    public static void main (String[] args){
        junit.textui.TestRunner.run(suite());
    }
}
