/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package hundirlaflota;

import junit.framework.*;

public class TestUtilities extends TestCase{
    public void testHaImpactado(){
        //meto un barco en estadobarcos
        Barco b=new Barco(3);
        int[] t=new int[3];
        t[0]=15;t[1]=16;t[2]=17;
        b.setPos(t);
        EstadoBarcos eb=new EstadoBarcos();
        eb.addBarco(b, "Velero");
        eb.cercarPerimetro(b, false);
        //simulo un disparo que hubiese recibido y compruebo si le he dado
        Barco baux=(Barco) eb.flota.get("Velero");
        //voy a simular que SI le he dado
        /*baux.tocado(16);
        eb.flota.put("Velero", baux);
        Barco barcheck=(Barco)eb.flota.get("Velero");
        
        assertTrue((boolean)barcheck.estado.get(1));*/
        assertTrue(baux.tocado(16));
        
    }
    
    public void testEsPerimetro(){
        //meto un barco en estadobarcos
        Barco b=new Barco(3);
        int[] t=new int[3];
        t[0]=15;t[1]=16;t[2]=17;
        b.setPos(t);
        EstadoBarcos eb=new EstadoBarcos();
        eb.addBarco(b, "Barco");
        eb.cercarPerimetro(b, false);
        //simulo colocar un barco en una zona prohibida por el perimetro de otro
        //posiciones del barco
        int [] posb=new int[3];
        posb[0]=25;posb[1]=26;posb[2]=27;
        boolean res=false;
        for (int i=0;i<posb.length;i++){
            String d=posb[i]+"";
            if (eb.prohibidos.contains(d)){
                res=true;
            }
        }
        assertTrue(res);
        
    }
    
    public void testBarcoPartido(){
        //coordenadas del barco que se quiere colocar
        int[] t=new int[3];
        t[0]=19;t[1]=20;t[2]=21;
        //simulo que se quiere colocar en horizontal
        Boolean res=false;
        int inicio=t[0];
        if (((inicio>=9) && (inicio<=10)) || ((inicio>=19) && (inicio<=20)) || ((inicio>=29) && (inicio<=30)) || ((inicio>=39) && (inicio<=40)) || ((inicio>=49) && (inicio<=50)) || 
                ((inicio>=59) && (inicio<=60)) || ((inicio>=69) && (inicio<=70)) || ((inicio>=79) && (inicio<=80)) || ((inicio>=89) && (inicio<=90)) || ((inicio>=99) && (inicio<=100))){
            res=true;
        }
        assertTrue(res);
        
    }
    public static Test suite(){ 
        return new TestSuite(TestUtilities.class);
    } // suite

    public static void main (String[] args){
        junit.textui.TestRunner.run(suite());
    } // main
}
